sc::EFCOpt(3)

NAME
sc::EFCOpt - The EFCOpt class implements eigenvector following as described by Baker in J.

SYNOPSIS

#include <efc.h>

Inherits sc::Optimize.

  Public Methods
EFCOpt (const Ref< KeyVal > &)
The KeyVal constructor reads the following keywords:.
EFCOpt (StateIn &)
~EFCOpt ()
void save_data_state (StateOut &)
Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
void apply_transform (const Ref< NonlinearTransform > &)
void init ()
Initialize the optimizer.
int update ()
Take a step.

  Protected Attributes
int tstate
int modef
double maxabs_gradient
double convergence_
double accuracy_
RefSymmSCMatrix hessian_
Ref< HessianUpdate > update_
RefSCVector last_mode_

DETAILED DESCRIPTION

The EFCOpt class implements eigenvector following as described by Baker in J.

Comput. Chem., Vol 7, No 4, 385-395, 1986.

CONSTRUCTOR & DESTRUCTOR DOCUMENTATION

  sc::EFCOpt::EFCOpt (const Ref< KeyVal > &)

The KeyVal constructor reads the following keywords:.

update
     This gives an HessianUpdate object. The default is to not update the hessian.

transition_state
     If this is true than a transition state search will be performed. The default is false.

mode_following
     If this is true, then the initial search direction for a transition state search will be choosen to similar to the first coordinate of the Function. The default is false.

hessian
     By default, the guess hessian is obtained from the Function object. This keyword specifies an lower triangle array (the second index must be less than or equal to than the first) that replaces the guess hessian. If some of the elements are not given, elements from the guess hessian will be used.

accuracy
     The accuracy with which the first gradient will be computed. If this is too large, it may be necessary to evaluate the first gradient point twice. If it is too small, it may take longer to evaluate the first point. The default is 0.0001.

MEMBER FUNCTION DOCUMENTATION

  void sc::EFCOpt::save_data_state (StateOut &) [virtual]

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::Optimize.

  int sc::EFCOpt::update () [virtual]

Take a step.

Returns 1 if the optimization has converged, otherwise 0.

Implements sc::Optimize.

AUTHOR

Generated automatically by Doxygen for MPQC from the source code.